Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.page
Class PageBackingContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.BackingContext
                  |
                  +--com.bea.netuix.servlets.controls.window.backing.WindowBackingContext
                        |
                        +--com.bea.netuix.servlets.controls.page.PageBackingContext

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BookBackingContext

public class PageBackingContext
extends WindowBackingContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`PageBackingContext(Page page)`

Method Summary
`String` | `getActiveImage()` Getter for the uri to the activate image.
`String` | `getInactiveImage()` Getter for the uri to the image displayed when the page is already active.
`String` | `getLabel()` Returns the definition label on the page
`String` | `getMarkupName()` Returns the value of the Page's markupName attribute.
`String` | `getMarkupType()` Returns the value of the Page's markupType attribute.
`static PageBackingContext` | `getPageBackingContext(HttpServletRequest request)` Get the PageBackingContext from the request
`BookBackingContext` | `getParentBookBackingContext()` Returns the BookBackingContext of the Book that is the parent of the Page represented by this context.
`PageBackingContext` | `getParentPageBackingContext()` Returns the PageBackingContext of the Page that is the parent of the Page represented by this context.
`String` | `getRolloverImage()`
`List` | `getWindowBackingContexts()` Return the collection of chils WindowBackingContexts (BookBackingContext or PortletBackingContext) for this page.
`boolean` | `isActive()` Return the value of the underlying control's `active` attribute.
`boolean` | `isDisplayed()` Returns whether or not the Page associated with this PageBackingContext is actually displayed.
`boolean` | `isHidden()` Return the value of the underlying control's `hidden` attribute.
`void` | `setActive(boolean active)` Set the value of the underlying control's `active` attribute.
`void` | `setActiveImage(String activeImage)` Setter for the activate image.
`void` | `setHidden(boolean hidden)` Set the value of the underlying control's `hidden` attribute.
`void` | `setInactiveImage(String inactiveImage)`
`void` | `setRolloverImage(String rolloverImage)`

Methods inherited from class com.bea.netuix.servlets.controls.window.backing.WindowBackingContext
`getCapabilityVisible, getDefinitionId, getDefinitionLabel, getDescription, getInstanceId, getOrientation, getParentWindowBackingContext, getPlacementId, getPreviousWindowMode, getPreviousWindowState, getRenderedChildrenWindowBackingContexts, getTitle, getWindowMode, getWindowState, isCapable, isPacked, setCapabilityVisible, setDescription, setTitle, setupModeChangeEvent, setupModeChangeEvent, setupPageChangeEvent, setupStateChangeEvent`

Methods inherited from class com.bea.netuix.servlets.controls.BackingContext
`getChildrenBackingContexts, getContextFromRequest, getParentBackingContext, getTopParentBackingContext, isBackingPhase, isVisible, setBackingPhase, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageBackingContext

    public PageBackingContext(Page page)

Method Detail

### getLabel

    public String getLabel()

  Returns the definition label on the page

  Specified by:
    `getLabel` in class `WindowBackingContext`
  Returns:
    the definition label of the page

### getParentBookBackingContext

    public BookBackingContext getParentBookBackingContext()

  Returns the BookBackingContext of the Book that is the parent of the Page represented by this context.

  Returns:
    the BookBackingContext of the Book that is the parent of the Page represented by this context or null if there is no parent Book.
  See Also:
    `Page.getBook()`

### getMarkupName

    public String getMarkupName()

  Returns the value of the Page's markupName attribute.

### getMarkupType

    public String getMarkupType()

  Returns the value of the Page's markupType attribute.

### getParentPageBackingContext

    public PageBackingContext getParentPageBackingContext()

  Returns the PageBackingContext of the Page that is the parent of the Page represented by this context.

  Returns:
    the PageBackingContext of the Page that is the parent of the Page represented by this context or null if there is no parent Page.
  See Also:
    `Page.getParentPage()`

### isActive

    public boolean isActive()

  Return the value of the underlying control's `active` attribute.

  Returns:
    a boolean, the value of the underlying control's `active` attribute.

### isHidden

    public boolean isHidden()

  Return the value of the underlying control's `hidden` attribute.

  Returns:
    a boolean, the value of the underlying control's `hidden` attribute.

### setActive

    public void setActive(boolean active)

  Set the value of the underlying control's `active` attribute.

  Parameters:
    `active` - boolean, the new value of the underlying control's `active` attribute.

### setHidden

    public void setHidden(boolean hidden)

  Set the value of the underlying control's `hidden` attribute.

  Parameters:
    `hidden` - boolean, the new value of the underlying control's `hidden` attribute.

### getPageBackingContext

    public static PageBackingContext getPageBackingContext(HttpServletRequest request)

  Get the PageBackingContext from the request

### getActiveImage

    public String getActiveImage()

  Getter for the uri to the activate image.

  Returns:
    the uri of the image to activate the page

### setActiveImage

    public void setActiveImage(String activeImage)

  Setter for the activate image.

  Parameters:
    `activeImage` - a uri to the new activate image.

### getInactiveImage

    public String getInactiveImage()

  Getter for the uri to the image displayed when the page is already active.

  Returns:
    the uri as defined in the IDE for the image when the page is already active.

### setInactiveImage

    public void setInactiveImage(String inactiveImage)

  Parameters:
    `inactiveImage` -

### getRolloverImage

    public String getRolloverImage()

### setRolloverImage

    public void setRolloverImage(String rolloverImage)

  Parameters:
    `rolloverImage` -

### isDisplayed

    public boolean isDisplayed()

  Returns whether or not the Page associated with this PageBackingContext is actually displayed.

### getWindowBackingContexts

    public List getWindowBackingContexts()

  Return the collection of chils WindowBackingContexts (BookBackingContext or PortletBackingContext) for this page. If no portlets and books exist returns an empty list.

  Returns:
    List of `BookBackingContext and PortletBackingContext`s objects

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved